---
title: "Modifier un collaborateur"
description: "Modifie un collaborateur : identité, coordonnées, enfants à charge, numéro de sécurité sociale, mode de paiement, `foreignErpId`, manager. Tout ou rien ; les champs absents ne changent pas. `PATCH` est aussi accepté."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.puncto.fr/llms.txt
> Use this file to discover all available pages before exploring further.

Path: API Puncto › Collaborateurs

`PUT /public/v1/collaborators/{collaboratorId}`

Modifie un collaborateur : identité, coordonnées, enfants à charge, numéro de sécurité sociale, mode de paiement, `foreignErpId`, manager. Tout ou rien ; les champs absents ne changent pas. `PATCH` est aussi accepté.

## Authentication

- `bearerAuth`, http, header `Authorization`

## Path parameters

- `collaboratorId` (`updateCollaborator.path.collaboratorId`; string, required) — Identifiant Puncto du collaborateur.
  - example `"coll_01JB7Q6ZC8V3K9N2M4R5T7W8XY"`

## Request body

_Required._

- `identity` (`updateCollaborator.identity`; object, optional)
  - `firstName` (`updateCollaborator.identity.firstName`; string, optional)
    - maxLength 100
  - `usageFirstName` (`updateCollaborator.identity.usageFirstName`; string | null, optional) — Prénom d’usage. `null` le retire.
    - maxLength 100
  - `lastName` (`updateCollaborator.identity.lastName`; string, optional)
    - maxLength 100
  - `usageLastName` (`updateCollaborator.identity.usageLastName`; string | null, optional) — Nom d’usage. `null` le retire.
    - maxLength 100
  - `birthDate` (`updateCollaborator.identity.birthDate`; string, optional) — Date de naissance.
    - format `date`; example `"1991-06-14"`
  - `birthCountryCode` (`updateCollaborator.identity.birthCountryCode`; string, optional) — Pays de naissance.
    - one of `"FR"`, `"GP"`, `"BL"`, `"MF"`, `"MQ"`, `"GF"`, `"RE"`, `"PM"`, `"YT"`, `"WF"`, `"PF"`, `"NC"`, `"MC"`, `"AF"`, `"AL"`, `"DZ"`, `"AD"`, `"AO"`, `"AG"`, `"AR"`, `"AM"`, `"AU"`, `"AT"`, `"AZ"`, `"BS"`, `"BH"`, `"BD"`, `"BB"`, `"BY"`, `"BE"`, `"BZ"`, `"BJ"`, `"BT"`, `"BO"`, `"BA"`, `"BW"`, `"BR"`, `"BN"`, `"BG"`, `"BF"`, `"BI"`, `"CV"`, `"KH"`, `"CM"`, `"CA"`, `"CF"`, `"TD"`, `"CL"`, `"CN"`, `"CO"`, `"KM"`, `"CD"`, `"CG"`, `"CR"`, `"CI"`, `"HR"`, `"CU"`, `"CY"`, `"CZ"`, `"DK"`, `"DJ"`, `"DM"`, `"DO"`, `"EC"`, `"EG"`, `"SV"`, `"GQ"`, `"ER"`, `"EE"`, `"SZ"`, `"ET"`, `"FJ"`, `"FI"`, `"GA"`, `"GM"`, `"GE"`, `"DE"`, `"GH"`, `"GR"`, `"GD"`, `"GT"`, `"GN"`, `"GW"`, `"GY"`, `"HT"`, `"HN"`, `"HU"`, `"IS"`, `"IN"`, `"ID"`, `"IR"`, `"IQ"`, `"IE"`, `"IL"`, `"IT"`, `"JM"`, `"JP"`, `"JO"`, `"KZ"`, `"KE"`, `"KI"`, `"KP"`, `"KR"`, `"KW"`, `"KG"`, `"LA"`, `"LV"`, `"LB"`, `"LS"`, `"LR"`, `"LY"`, `"LI"`, `"LT"`, `"LU"`, `"MG"`, `"MW"`, `"MY"`, `"MV"`, `"ML"`, `"MT"`, `"MH"`, `"MR"`, `"MU"`, `"MX"`, `"FM"`, `"MD"`, `"MN"`, `"ME"`, `"MA"`, `"MZ"`, `"MM"`, `"NA"`, `"NR"`, `"NP"`, `"NL"`, `"NZ"`, `"NI"`, `"NE"`, `"NG"`, `"NO"`, `"OM"`, `"PK"`, `"PW"`, `"PS"`, `"PA"`, `"PG"`, `"PY"`, `"PE"`, `"PH"`, `"PL"`, `"PT"`, `"QA"`, `"RO"`, `"RU"`, `"RW"`, `"KN"`, `"LC"`, `"VC"`, `"WS"`, `"SM"`, `"ST"`, `"SA"`, `"SN"`, `"RS"`, `"SC"`, `"SL"`, `"SG"`, `"SK"`, `"SI"`, `"SB"`, `"SO"`, `"ZA"`, `"SS"`, `"ES"`, `"LK"`, `"SD"`, `"SR"`, `"SE"`, `"CH"`, `"SY"`, `"TW"`, `"TJ"`, `"TZ"`, `"TH"`, `"TL"`, `"TG"`, `"TO"`, `"TT"`, `"TN"`, `"TR"`, `"TM"`, `"TV"`, `"UG"`, `"UA"`, `"AE"`, `"GB"`, `"US"`, `"UY"`, `"UZ"`, `"VU"`, `"VE"`, `"VN"`, `"YE"`, `"ZM"`, `"ZW"`
  - `birthCity` (`updateCollaborator.identity.birthCity`; string, optional)
    - maxLength 100
  - `birthDepartmentCode` (`updateCollaborator.identity.birthDepartmentCode`; string, optional) — Département de naissance, obligatoire avec `birthCountryCode` à `FR`.
    - maxLength 3; example `"44"`
  - `nationality` (`updateCollaborator.identity.nationality`; string, optional)
    - one of `"FR"`, `"GP"`, `"BL"`, `"MF"`, `"MQ"`, `"GF"`, `"RE"`, `"PM"`, `"YT"`, `"WF"`, `"PF"`, `"NC"`, `"MC"`, `"AF"`, `"AL"`, `"DZ"`, `"AD"`, `"AO"`, `"AG"`, `"AR"`, `"AM"`, `"AU"`, `"AT"`, `"AZ"`, `"BS"`, `"BH"`, `"BD"`, `"BB"`, `"BY"`, `"BE"`, `"BZ"`, `"BJ"`, `"BT"`, `"BO"`, `"BA"`, `"BW"`, `"BR"`, `"BN"`, `"BG"`, `"BF"`, `"BI"`, `"CV"`, `"KH"`, `"CM"`, `"CA"`, `"CF"`, `"TD"`, `"CL"`, `"CN"`, `"CO"`, `"KM"`, `"CD"`, `"CG"`, `"CR"`, `"CI"`, `"HR"`, `"CU"`, `"CY"`, `"CZ"`, `"DK"`, `"DJ"`, `"DM"`, `"DO"`, `"EC"`, `"EG"`, `"SV"`, `"GQ"`, `"ER"`, `"EE"`, `"SZ"`, `"ET"`, `"FJ"`, `"FI"`, `"GA"`, `"GM"`, `"GE"`, `"DE"`, `"GH"`, `"GR"`, `"GD"`, `"GT"`, `"GN"`, `"GW"`, `"GY"`, `"HT"`, `"HN"`, `"HU"`, `"IS"`, `"IN"`, `"ID"`, `"IR"`, `"IQ"`, `"IE"`, `"IL"`, `"IT"`, `"JM"`, `"JP"`, `"JO"`, `"KZ"`, `"KE"`, `"KI"`, `"KP"`, `"KR"`, `"KW"`, `"KG"`, `"LA"`, `"LV"`, `"LB"`, `"LS"`, `"LR"`, `"LY"`, `"LI"`, `"LT"`, `"LU"`, `"MG"`, `"MW"`, `"MY"`, `"MV"`, `"ML"`, `"MT"`, `"MH"`, `"MR"`, `"MU"`, `"MX"`, `"FM"`, `"MD"`, `"MN"`, `"ME"`, `"MA"`, `"MZ"`, `"MM"`, `"NA"`, `"NR"`, `"NP"`, `"NL"`, `"NZ"`, `"NI"`, `"NE"`, `"NG"`, `"NO"`, `"OM"`, `"PK"`, `"PW"`, `"PS"`, `"PA"`, `"PG"`, `"PY"`, `"PE"`, `"PH"`, `"PL"`, `"PT"`, `"QA"`, `"RO"`, `"RU"`, `"RW"`, `"KN"`, `"LC"`, `"VC"`, `"WS"`, `"SM"`, `"ST"`, `"SA"`, `"SN"`, `"RS"`, `"SC"`, `"SL"`, `"SG"`, `"SK"`, `"SI"`, `"SB"`, `"SO"`, `"ZA"`, `"SS"`, `"ES"`, `"LK"`, `"SD"`, `"SR"`, `"SE"`, `"CH"`, `"SY"`, `"TW"`, `"TJ"`, `"TZ"`, `"TH"`, `"TL"`, `"TG"`, `"TO"`, `"TT"`, `"TN"`, `"TR"`, `"TM"`, `"TV"`, `"UG"`, `"UA"`, `"AE"`, `"GB"`, `"US"`, `"UY"`, `"UZ"`, `"VU"`, `"VE"`, `"VN"`, `"YE"`, `"ZM"`, `"ZW"`
- `contact` (`updateCollaborator.contact`; object, optional) — `contact.personalEmail` (identifiant de connexion) ne se modifie pas par l’API : `400`.
  - `address` (`updateCollaborator.contact.address`; string, optional) — Adresse postale : lettres, chiffres, espace, apostrophe, tiret et point seulement (norme DSN).
    - maxLength 250
  - `addressDetails` (`updateCollaborator.contact.addressDetails`; string | null, optional) — Complément d’adresse. `null` le retire.
    - maxLength 250
  - `postalCode` (`updateCollaborator.contact.postalCode`; string, optional)
    - maxLength 10
  - `city` (`updateCollaborator.contact.city`; string, optional)
    - maxLength 100
  - `countryCode` (`updateCollaborator.contact.countryCode`; string, optional)
    - one of `"FR"`, `"GP"`, `"BL"`, `"MF"`, `"MQ"`, `"GF"`, `"RE"`, `"PM"`, `"YT"`, `"WF"`, `"PF"`, `"NC"`, `"MC"`, `"AF"`, `"AL"`, `"DZ"`, `"AD"`, `"AO"`, `"AG"`, `"AR"`, `"AM"`, `"AU"`, `"AT"`, `"AZ"`, `"BS"`, `"BH"`, `"BD"`, `"BB"`, `"BY"`, `"BE"`, `"BZ"`, `"BJ"`, `"BT"`, `"BO"`, `"BA"`, `"BW"`, `"BR"`, `"BN"`, `"BG"`, `"BF"`, `"BI"`, `"CV"`, `"KH"`, `"CM"`, `"CA"`, `"CF"`, `"TD"`, `"CL"`, `"CN"`, `"CO"`, `"KM"`, `"CD"`, `"CG"`, `"CR"`, `"CI"`, `"HR"`, `"CU"`, `"CY"`, `"CZ"`, `"DK"`, `"DJ"`, `"DM"`, `"DO"`, `"EC"`, `"EG"`, `"SV"`, `"GQ"`, `"ER"`, `"EE"`, `"SZ"`, `"ET"`, `"FJ"`, `"FI"`, `"GA"`, `"GM"`, `"GE"`, `"DE"`, `"GH"`, `"GR"`, `"GD"`, `"GT"`, `"GN"`, `"GW"`, `"GY"`, `"HT"`, `"HN"`, `"HU"`, `"IS"`, `"IN"`, `"ID"`, `"IR"`, `"IQ"`, `"IE"`, `"IL"`, `"IT"`, `"JM"`, `"JP"`, `"JO"`, `"KZ"`, `"KE"`, `"KI"`, `"KP"`, `"KR"`, `"KW"`, `"KG"`, `"LA"`, `"LV"`, `"LB"`, `"LS"`, `"LR"`, `"LY"`, `"LI"`, `"LT"`, `"LU"`, `"MG"`, `"MW"`, `"MY"`, `"MV"`, `"ML"`, `"MT"`, `"MH"`, `"MR"`, `"MU"`, `"MX"`, `"FM"`, `"MD"`, `"MN"`, `"ME"`, `"MA"`, `"MZ"`, `"MM"`, `"NA"`, `"NR"`, `"NP"`, `"NL"`, `"NZ"`, `"NI"`, `"NE"`, `"NG"`, `"NO"`, `"OM"`, `"PK"`, `"PW"`, `"PS"`, `"PA"`, `"PG"`, `"PY"`, `"PE"`, `"PH"`, `"PL"`, `"PT"`, `"QA"`, `"RO"`, `"RU"`, `"RW"`, `"KN"`, `"LC"`, `"VC"`, `"WS"`, `"SM"`, `"ST"`, `"SA"`, `"SN"`, `"RS"`, `"SC"`, `"SL"`, `"SG"`, `"SK"`, `"SI"`, `"SB"`, `"SO"`, `"ZA"`, `"SS"`, `"ES"`, `"LK"`, `"SD"`, `"SR"`, `"SE"`, `"CH"`, `"SY"`, `"TW"`, `"TJ"`, `"TZ"`, `"TH"`, `"TL"`, `"TG"`, `"TO"`, `"TT"`, `"TN"`, `"TR"`, `"TM"`, `"TV"`, `"UG"`, `"UA"`, `"AE"`, `"GB"`, `"US"`, `"UY"`, `"UZ"`, `"VU"`, `"VE"`, `"VN"`, `"YE"`, `"ZM"`, `"ZW"`
  - `professionalEmail` (`updateCollaborator.contact.professionalEmail`; string, optional)
    - format `email`; minLength 3; maxLength 250
  - `phoneNumber` (`updateCollaborator.contact.phoneNumber`; string | null, optional) — `null` le retire.
    - minLength 8; maxLength 15
- `dependentChildrenCount` (`updateCollaborator.dependentChildrenCount`; integer, optional)
  - min 0; max 9
- `disabledDependentChildrenCount` (`updateCollaborator.disabledDependentChildrenCount`; integer, optional) — Parmi `dependentChildrenCount`, les enfants à charge handicapés.
  - min 0; max 9
- `maritalStatus` (`updateCollaborator.maritalStatus`; string | null, optional) — Situation matrimoniale. `null` la retire. - `SINGLE` : Célibataire - `MARRIED` : Marié(e) - `CIVIL_PARTNERSHIP` : Pacsé(e) - `COHABITING` : En concubinage - `SEPARATED` : Séparé(e) - `DIVORCED` : Divorcé(e) - `WIDOWED` : Veuf ou veuve
  - one of `"SINGLE"`, `"MARRIED"`, `"CIVIL_PARTNERSHIP"`, `"COHABITING"`, `"SEPARATED"`, `"DIVORCED"`, `"WIDOWED"`, `null`
- `socialSecurityNumber` (`updateCollaborator.socialSecurityNumber`; string, optional) — NIR ou NIA, avec ou sans clé ni espaces, avec `identityType`. S’applique à partir du prochain mois de paie ouvert.
  - example `"2910644123456"`
- `identityType` (`updateCollaborator.identityType`; string, optional) — Nature de `socialSecurityNumber`, à envoyer avec lui.
  - one of `"NIR"`, `"NIA"`
- `paymentOptionType` (`updateCollaborator.paymentOptionType`; string, optional) — Mode de paiement du salaire. `virement` demande `iban` et `bic`.
  - one of `"virement"`, `"check"`, `"cash"`
- `iban` (`updateCollaborator.iban`; string, optional) — IBAN du compte de paiement, avec `bic`. Sans `paymentOptionType`, le mode passe à `virement`.
- `bic` (`updateCollaborator.bic`; string, optional)
- `foreignErpId` (`updateCollaborator.foreignErpId`; string | null, optional) — Identifiant du collaborateur dans votre système, unique dans l’entreprise. `null` le retire.
  - minLength 1; maxLength 100
- `managerId` (`updateCollaborator.managerId`; string | null, optional) — Identifiant Puncto du manager (autre collaborateur de l’entreprise). `null` retire le manager.
  - minLength 1

## Example request

```json
{
  "foreignErpId": "salarie-123",
  "managerId": "coll_01JB7Q6ZC8V3K9N2M4R5T7W8XY"
}
```

## Code samples

### cURL

```bash
curl --request PUT \
  --url https://api.puncto.fr/public/v1/collaborators/coll_01JB7Q6ZC8V3K9N2M4R5T7W8XY \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "foreignErpId": "salarie-123",
  "managerId": "coll_01JB7Q6ZC8V3K9N2M4R5T7W8XY"
}
'
```

### TypeScript

```typescript
const url = 'https://api.puncto.fr/public/v1/collaborators/coll_01JB7Q6ZC8V3K9N2M4R5T7W8XY';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({foreignErpId: 'salarie-123', managerId: 'coll_01JB7Q6ZC8V3K9N2M4R5T7W8XY'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.puncto.fr/public/v1/collaborators/coll_01JB7Q6ZC8V3K9N2M4R5T7W8XY"

payload = {
    "foreignErpId": "salarie-123",
    "managerId": "coll_01JB7Q6ZC8V3K9N2M4R5T7W8XY"
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Collaborateur modifié

#### Example

```json
{
  "collaboratorId": "coll_01JB7Q6ZC8V3K9N2M4R5T7W8XY",
  "companyId": "comp_01JB7Q6ZC8V3K9N2M4R5T7W8XY",
  "establishmentId": "esta_01JB7Q6ZC8V3K9N2M4R5T7W8XY",
  "firstName": "string",
  "lastName": "string",
  "usageFirstName": "string",
  "usageLastName": "string",
  "email": "string",
  "phoneNumber": "string",
  "birthDate": "2019-08-24",
  "birthCity": "string",
  "birthDepartmentCode": "string",
  "birthCountryCode": "FR",
  "nationality": "FR",
  "originUeCodification": "01",
  "identity": {
    "type": "NTT",
    "numero": "string",
    "startDate": "2019-08-24"
  },
  "socialSecurityNumber": "string",
  "ntt": "string",
  "sex": "FEMALE",
  "address": {
    "id": "addr_01JB7Q6ZC8V3K9N2M4R5T7W8XY",
    "address": "string",
    "postalCode": "string",
    "city": "string",
    "addressDetails": "string",
    "countryCode": "FR"
  },
  "dependentChildrenCount": 0,
  "disabledDependentChildrenCount": 0,
  "maritalStatus": "SINGLE",
  "isBoeth": true,
  "boethStatus": "INVALIDITY_PENSION",
  "seniorityDate": "2019-08-24",
  "paymentOption": {
    "type": "virement",
    "iban": "string",
    "bic": "string"
  },
  "matriculeRh": "string",
  "conventionalPosition": {
    "type": "CADRE",
    "position": "1.1"
  },
  "coefficient": 0,
  "foreignErpId": "string",
  "managerId": "coll_01JB7Q6ZC8V3K9N2M4R5T7W8XY",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

- `collaboratorId` (`updateCollaborator.response.200.collaboratorId`; string, required) — Identifiant Puncto
- `companyId` (`updateCollaborator.response.200.companyId`; string, required) — Identifiant Puncto
- `establishmentId` (`updateCollaborator.response.200.establishmentId`; any of, required) — Établissement du contrat courant — null pour un collaborateur sans contrat
  - any of: `string`, `null`
- `firstName` (`updateCollaborator.response.200.firstName`; string, required)
- `lastName` (`updateCollaborator.response.200.lastName`; string, required)
- `usageFirstName` (`updateCollaborator.response.200.usageFirstName`; string | null, required)
- `usageLastName` (`updateCollaborator.response.200.usageLastName`; string | null, required)
- `email` (`updateCollaborator.response.200.email`; string | null, required)
- `phoneNumber` (`updateCollaborator.response.200.phoneNumber`; string | null, required)
- `birthDate` (`updateCollaborator.response.200.birthDate`; string, required)
  - format `date`
- `birthCity` (`updateCollaborator.response.200.birthCity`; string, required)
- `birthDepartmentCode` (`updateCollaborator.response.200.birthDepartmentCode`; string, required) — Pour les salariés nés dans les TOM : code 98 Pour les personnes nées à l'étranger : code 99
- `birthCountryCode` (`updateCollaborator.response.200.birthCountryCode`; string, required)
  - one of `"FR"`, `"GP"`, `"BL"`, `"MF"`, `"MQ"`, `"GF"`, `"RE"`, `"PM"`, `"YT"`, `"WF"`, `"PF"`, `"NC"`, `"MC"`, `"AF"`, `"AL"`, `"DZ"`, `"AD"`, `"AO"`, `"AG"`, `"AR"`, `"AM"`, `"AU"`, `"AT"`, `"AZ"`, `"BS"`, `"BH"`, `"BD"`, `"BB"`, `"BY"`, `"BE"`, `"BZ"`, `"BJ"`, `"BT"`, `"BO"`, `"BA"`, `"BW"`, `"BR"`, `"BN"`, `"BG"`, `"BF"`, `"BI"`, `"CV"`, `"KH"`, `"CM"`, `"CA"`, `"CF"`, `"TD"`, `"CL"`, `"CN"`, `"CO"`, `"KM"`, `"CD"`, `"CG"`, `"CR"`, `"CI"`, `"HR"`, `"CU"`, `"CY"`, `"CZ"`, `"DK"`, `"DJ"`, `"DM"`, `"DO"`, `"EC"`, `"EG"`, `"SV"`, `"GQ"`, `"ER"`, `"EE"`, `"SZ"`, `"ET"`, `"FJ"`, `"FI"`, `"GA"`, `"GM"`, `"GE"`, `"DE"`, `"GH"`, `"GR"`, `"GD"`, `"GT"`, `"GN"`, `"GW"`, `"GY"`, `"HT"`, `"HN"`, `"HU"`, `"IS"`, `"IN"`, `"ID"`, `"IR"`, `"IQ"`, `"IE"`, `"IL"`, `"IT"`, `"JM"`, `"JP"`, `"JO"`, `"KZ"`, `"KE"`, `"KI"`, `"KP"`, `"KR"`, `"KW"`, `"KG"`, `"LA"`, `"LV"`, `"LB"`, `"LS"`, `"LR"`, `"LY"`, `"LI"`, `"LT"`, `"LU"`, `"MG"`, `"MW"`, `"MY"`, `"MV"`, `"ML"`, `"MT"`, `"MH"`, `"MR"`, `"MU"`, `"MX"`, `"FM"`, `"MD"`, `"MN"`, `"ME"`, `"MA"`, `"MZ"`, `"MM"`, `"NA"`, `"NR"`, `"NP"`, `"NL"`, `"NZ"`, `"NI"`, `"NE"`, `"NG"`, `"NO"`, `"OM"`, `"PK"`, `"PW"`, `"PS"`, `"PA"`, `"PG"`, `"PY"`, `"PE"`, `"PH"`, `"PL"`, `"PT"`, `"QA"`, `"RO"`, `"RU"`, `"RW"`, `"KN"`, `"LC"`, `"VC"`, `"WS"`, `"SM"`, `"ST"`, `"SA"`, `"SN"`, `"RS"`, `"SC"`, `"SL"`, `"SG"`, `"SK"`, `"SI"`, `"SB"`, `"SO"`, `"ZA"`, `"SS"`, `"ES"`, `"LK"`, `"SD"`, `"SR"`, `"SE"`, `"CH"`, `"SY"`, `"TW"`, `"TJ"`, `"TZ"`, `"TH"`, `"TL"`, `"TG"`, `"TO"`, `"TT"`, `"TN"`, `"TR"`, `"TM"`, `"TV"`, `"UG"`, `"UA"`, `"AE"`, `"GB"`, `"US"`, `"UY"`, `"UZ"`, `"VU"`, `"VE"`, `"VN"`, `"YE"`, `"ZM"`, `"ZW"`
- `nationality` (`updateCollaborator.response.200.nationality`; string, required)
  - one of `"FR"`, `"GP"`, `"BL"`, `"MF"`, `"MQ"`, `"GF"`, `"RE"`, `"PM"`, `"YT"`, `"WF"`, `"PF"`, `"NC"`, `"MC"`, `"AF"`, `"AL"`, `"DZ"`, `"AD"`, `"AO"`, `"AG"`, `"AR"`, `"AM"`, `"AU"`, `"AT"`, `"AZ"`, `"BS"`, `"BH"`, `"BD"`, `"BB"`, `"BY"`, `"BE"`, `"BZ"`, `"BJ"`, `"BT"`, `"BO"`, `"BA"`, `"BW"`, `"BR"`, `"BN"`, `"BG"`, `"BF"`, `"BI"`, `"CV"`, `"KH"`, `"CM"`, `"CA"`, `"CF"`, `"TD"`, `"CL"`, `"CN"`, `"CO"`, `"KM"`, `"CD"`, `"CG"`, `"CR"`, `"CI"`, `"HR"`, `"CU"`, `"CY"`, `"CZ"`, `"DK"`, `"DJ"`, `"DM"`, `"DO"`, `"EC"`, `"EG"`, `"SV"`, `"GQ"`, `"ER"`, `"EE"`, `"SZ"`, `"ET"`, `"FJ"`, `"FI"`, `"GA"`, `"GM"`, `"GE"`, `"DE"`, `"GH"`, `"GR"`, `"GD"`, `"GT"`, `"GN"`, `"GW"`, `"GY"`, `"HT"`, `"HN"`, `"HU"`, `"IS"`, `"IN"`, `"ID"`, `"IR"`, `"IQ"`, `"IE"`, `"IL"`, `"IT"`, `"JM"`, `"JP"`, `"JO"`, `"KZ"`, `"KE"`, `"KI"`, `"KP"`, `"KR"`, `"KW"`, `"KG"`, `"LA"`, `"LV"`, `"LB"`, `"LS"`, `"LR"`, `"LY"`, `"LI"`, `"LT"`, `"LU"`, `"MG"`, `"MW"`, `"MY"`, `"MV"`, `"ML"`, `"MT"`, `"MH"`, `"MR"`, `"MU"`, `"MX"`, `"FM"`, `"MD"`, `"MN"`, `"ME"`, `"MA"`, `"MZ"`, `"MM"`, `"NA"`, `"NR"`, `"NP"`, `"NL"`, `"NZ"`, `"NI"`, `"NE"`, `"NG"`, `"NO"`, `"OM"`, `"PK"`, `"PW"`, `"PS"`, `"PA"`, `"PG"`, `"PY"`, `"PE"`, `"PH"`, `"PL"`, `"PT"`, `"QA"`, `"RO"`, `"RU"`, `"RW"`, `"KN"`, `"LC"`, `"VC"`, `"WS"`, `"SM"`, `"ST"`, `"SA"`, `"SN"`, `"RS"`, `"SC"`, `"SL"`, `"SG"`, `"SK"`, `"SI"`, `"SB"`, `"SO"`, `"ZA"`, `"SS"`, `"ES"`, `"LK"`, `"SD"`, `"SR"`, `"SE"`, `"CH"`, `"SY"`, `"TW"`, `"TJ"`, `"TZ"`, `"TH"`, `"TL"`, `"TG"`, `"TO"`, `"TT"`, `"TN"`, `"TR"`, `"TM"`, `"TV"`, `"UG"`, `"UA"`, `"AE"`, `"GB"`, `"US"`, `"UY"`, `"UZ"`, `"VU"`, `"VE"`, `"VN"`, `"YE"`, `"ZM"`, `"ZW"`
- `originUeCodification` (`updateCollaborator.response.200.originUeCodification`; string, required)
  - one of `"01"`, `"02"`, `"03"`, `"04"`
- `identity` (`updateCollaborator.response.200.identity`; any of, required) — Identité sociale en vigueur (NIR, NIA ou NTT). Pour un collaborateur dont l'embauche n'a pas encore commencé, sa première identité, qui prend effet le 1er du mois de son entrée.
  - any of: `ApiCollaboratorIdentity`, `null`
- `socialSecurityNumber` (`updateCollaborator.response.200.socialSecurityNumber`; string | null, required) — NIR ou NIA
- `ntt` (`updateCollaborator.response.200.ntt`; string | null, required) — NTT = NIR temporaire en l'absence de NIA
- `sex` (`updateCollaborator.response.200.sex`; string | null, required) — Sexe, déduit du premier chiffre du NIR, du NIA ou du NTT (impair : homme, pair : femme). Null quand il ne peut pas en être déduit.
  - one of `"FEMALE"`, `"MALE"`, `null`
- `address` (`updateCollaborator.response.200.address`; object, required)
  - `id` (`updateCollaborator.response.200.address.id`; string, required) — Identifiant Puncto
  - `address` (`updateCollaborator.response.200.address.address`; string, required)
  - `postalCode` (`updateCollaborator.response.200.address.postalCode`; string, required)
  - `city` (`updateCollaborator.response.200.address.city`; string, required)
  - `addressDetails` (`updateCollaborator.response.200.address.addressDetails`; string | null, required)
  - `countryCode` (`updateCollaborator.response.200.address.countryCode`; string, required)
    - one of `"FR"`, `"GP"`, `"BL"`, `"MF"`, `"MQ"`, `"GF"`, `"RE"`, `"PM"`, `"YT"`, `"WF"`, `"PF"`, `"NC"`, `"MC"`, `"AF"`, `"AL"`, `"DZ"`, `"AD"`, `"AO"`, `"AG"`, `"AR"`, `"AM"`, `"AU"`, `"AT"`, `"AZ"`, `"BS"`, `"BH"`, `"BD"`, `"BB"`, `"BY"`, `"BE"`, `"BZ"`, `"BJ"`, `"BT"`, `"BO"`, `"BA"`, `"BW"`, `"BR"`, `"BN"`, `"BG"`, `"BF"`, `"BI"`, `"CV"`, `"KH"`, `"CM"`, `"CA"`, `"CF"`, `"TD"`, `"CL"`, `"CN"`, `"CO"`, `"KM"`, `"CD"`, `"CG"`, `"CR"`, `"CI"`, `"HR"`, `"CU"`, `"CY"`, `"CZ"`, `"DK"`, `"DJ"`, `"DM"`, `"DO"`, `"EC"`, `"EG"`, `"SV"`, `"GQ"`, `"ER"`, `"EE"`, `"SZ"`, `"ET"`, `"FJ"`, `"FI"`, `"GA"`, `"GM"`, `"GE"`, `"DE"`, `"GH"`, `"GR"`, `"GD"`, `"GT"`, `"GN"`, `"GW"`, `"GY"`, `"HT"`, `"HN"`, `"HU"`, `"IS"`, `"IN"`, `"ID"`, `"IR"`, `"IQ"`, `"IE"`, `"IL"`, `"IT"`, `"JM"`, `"JP"`, `"JO"`, `"KZ"`, `"KE"`, `"KI"`, `"KP"`, `"KR"`, `"KW"`, `"KG"`, `"LA"`, `"LV"`, `"LB"`, `"LS"`, `"LR"`, `"LY"`, `"LI"`, `"LT"`, `"LU"`, `"MG"`, `"MW"`, `"MY"`, `"MV"`, `"ML"`, `"MT"`, `"MH"`, `"MR"`, `"MU"`, `"MX"`, `"FM"`, `"MD"`, `"MN"`, `"ME"`, `"MA"`, `"MZ"`, `"MM"`, `"NA"`, `"NR"`, `"NP"`, `"NL"`, `"NZ"`, `"NI"`, `"NE"`, `"NG"`, `"NO"`, `"OM"`, `"PK"`, `"PW"`, `"PS"`, `"PA"`, `"PG"`, `"PY"`, `"PE"`, `"PH"`, `"PL"`, `"PT"`, `"QA"`, `"RO"`, `"RU"`, `"RW"`, `"KN"`, `"LC"`, `"VC"`, `"WS"`, `"SM"`, `"ST"`, `"SA"`, `"SN"`, `"RS"`, `"SC"`, `"SL"`, `"SG"`, `"SK"`, `"SI"`, `"SB"`, `"SO"`, `"ZA"`, `"SS"`, `"ES"`, `"LK"`, `"SD"`, `"SR"`, `"SE"`, `"CH"`, `"SY"`, `"TW"`, `"TJ"`, `"TZ"`, `"TH"`, `"TL"`, `"TG"`, `"TO"`, `"TT"`, `"TN"`, `"TR"`, `"TM"`, `"TV"`, `"UG"`, `"UA"`, `"AE"`, `"GB"`, `"US"`, `"UY"`, `"UZ"`, `"VU"`, `"VE"`, `"VN"`, `"YE"`, `"ZM"`, `"ZW"`
- `dependentChildrenCount` (`updateCollaborator.response.200.dependentChildrenCount`; number, required) — Situation familiale
- `disabledDependentChildrenCount` (`updateCollaborator.response.200.disabledDependentChildrenCount`; number, required) — Parmi `dependentChildrenCount`, les enfants à charge handicapés
- `maritalStatus` (`updateCollaborator.response.200.maritalStatus`; any of, required) — Null tant qu'elle n'est pas renseignée
  - any of: `MaritalStatus`, `null`
- `isBoeth` (`updateCollaborator.response.200.isBoeth`; boolean, required)
- `boethStatus` (`updateCollaborator.response.200.boethStatus`; any of, required)
  - any of: `OnboardingHandicapValue`, `null`
- `seniorityDate` (`updateCollaborator.response.200.seniorityDate`; any of, required)
  - any of: `string`, `null`
- `paymentOption` (`updateCollaborator.response.200.paymentOption`; any of, required)
  - any of: `VirementPaymentOption`, `CheckPaymentOption`, `CashPaymentOption`
- `matriculeRh` (`updateCollaborator.response.200.matriculeRh`; string, required)
- `conventionalPosition` (`updateCollaborator.response.200.conventionalPosition`; any of, required) — Position Syntec de l'avenant en vigueur du contrat courant (pour un contrat qui n'a pas encore commencé : de son premier avenant) — null sans contrat ni position
  - any of: `SyntecPosition`, `null`
- `coefficient` (`updateCollaborator.response.200.coefficient`; number | null, required)
- `foreignErpId` (`updateCollaborator.response.200.foreignErpId`; string | null, required) — Identifiant du collaborateur dans votre système, unique dans l'entreprise
- `managerId` (`updateCollaborator.response.200.managerId`; any of, required) — Manager du collaborateur, null s'il n'en a pas
  - any of: `string`, `null`
- `createdAt` (`updateCollaborator.response.200.createdAt`; string, required)
  - format `date-time`
- `updatedAt` (`updateCollaborator.response.200.updatedAt`; string, required)
  - format `date-time`

### 400

Champ non modifiable, numéro de sécurité sociale déjà utilisé, ou manager introuvable ou égal au collaborateur

#### Example

```json
{
  "error": "Le manager de foreignErpId \"salarie-007\" est introuvable"
}
```

- `error` (`updateCollaborator.response.400.error`; string, required) — Message lisible, en français.
- `errorCode` (`updateCollaborator.response.400.errorCode`; string, optional) — Code stable, sur certaines erreurs.

### 401

Clé d’API absente, invalide ou révoquée

#### Example

```json
{
  "error": "Les endpoints de l’API publique sont réservés aux comptes application."
}
```

- `error` (`updateCollaborator.response.401.error`; string, required) — Message lisible, en français.
- `errorCode` (`updateCollaborator.response.401.errorCode`; string, optional) — Code stable, sur certaines erreurs.

### 403

Opération hors de l’accès de la clé d’API

#### Example

```json
{
  "error": "Opération interdite"
}
```

- `error` (`updateCollaborator.response.403.error`; string, required) — Message lisible, en français.
- `errorCode` (`updateCollaborator.response.403.errorCode`; string, optional) — Code stable, sur certaines erreurs.

### 404

Collaborateur introuvable

#### Example

```json
{
  "error": "Collaborateur non trouvé"
}
```

- `error` (`updateCollaborator.response.404.error`; string, required) — Message lisible, en français.
- `errorCode` (`updateCollaborator.response.404.errorCode`; string, optional) — Code stable, sur certaines erreurs.

### 409

Le `foreignErpId` appartient déjà à un autre collaborateur

#### Example

```json
{
  "error": "Le foreignErpId \"salarie-123\" est déjà utilisé par un autre collaborateur de l’entreprise"
}
```

- `error` (`updateCollaborator.response.409.error`; string, required) — Message lisible, en français.
- `errorCode` (`updateCollaborator.response.409.errorCode`; string, optional) — Code stable, sur certaines erreurs.

### 422

Paramètres invalides

#### Example

```json
{
  "errors": [
    {
      "message": "Le champ statut de l’absence doit être une valeur autorisée",
      "rule": "enum",
      "field": "status"
    }
  ]
}
```

- `errors` (`updateCollaborator.response.422.errors`; array<object>, required)
  - `message` (`updateCollaborator.response.422.errors.message`; string, required)
  - `rule` (`updateCollaborator.response.422.errors.rule`; string, required) — Règle de validation en échec.
  - `field` (`updateCollaborator.response.422.errors.field`; string, required) — Chemin du champ, par exemple `absences.0.type`.


Source: https://docs.puncto.fr/reference/collaborators/update/index.md
